<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Темы оформления')."";
ECHO "</div>";

/*
-------------------------
Сделать тему приоритетной
-------------------------
*/

IF (GET('get') == "prioritet_touch"){
  
  $theme = DB::GET_STRING("SELECT `ID`,`ACT` FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('act'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `PRIORITET_TOUCH` = '0' WHERE `PRIORITET_TOUCH` = '1'");
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `PRIORITET_TOUCH` = '1' WHERE `ID` = '".$theme['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=site&section=themes');
  
}

IF (GET('get') == "prioritet_web"){
  
  $theme = DB::GET_STRING("SELECT `ID`,`ACT` FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('act'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `PRIORITET_WEB` = '0' WHERE `PRIORITET_WEB` = '1'");
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `PRIORITET_WEB` = '1' WHERE `ID` = '".$theme['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=site&section=themes');
  
}

/*
------------------------
Включение/отключение тем
------------------------
*/

IF (GET('get') == "off"){
  
  $theme = DB::GET_STRING("SELECT `ID`,`ACT` FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('act'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  IF ($theme['ACT'] == 2){
    
    ERROR('Неизвестная ошибка', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `ACT` = '0' WHERE `ID` = '".$theme['ID']."' LIMIT 1");
  
  SUCCESS('Тема больше не активна', 'session');
  REDIRECT('?path=site&section=themes');
  
}

IF (GET('get') == "on"){
  
  $theme = DB::GET_STRING("SELECT `ID`,`ACT` FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('act'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  IF ($theme['ACT'] == 2){
    
    ERROR('Неизвестная ошибка', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  DB::GET_SET("UPDATE `PANEL_THEMES` SET `ACT` = '1' WHERE `ID` = '".$theme['ID']."' LIMIT 1");
  
  SUCCESS('Тема теперь активна', 'session');
  REDIRECT('?path=site&section=themes');
  
}

/*
------------
Редактор тем
------------
*/

IF (GET('them_edit')){
  
  $theme = DB::GET_STRING("SELECT * FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('them_edit'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<table style='width: 100%;'><tr>";
  
  ECHO "<td class='td-file'>";
  ECHO "".FILE::ICONS('themes')."";
  ECHO "</td>";
  
  ECHO "<td class='td-file2'>";
  
  IF ($theme['ACT'] == 2){
    
    ECHO ICONS('lock', 16, 'fa-fw')." ";
    
  }
  
  ECHO "<b>".TEXT_ABSOLUTE($theme['NAME'])."</b><p>";
 
  ECHO " <small>/style/version/".TEXT_ABSOLUTE($theme['DIR'])."/</small>";
  ECHO "</p>";
  
  ECHO "</td>";
  
  ECHO "</tr></table>";
  
  ECHO "</div>";
  
  //Редактирование
  IF (POST('ok')){
    
    $size_logo = INTVAL(POST('size_logo'));
    $name = ADSL(POST('name'));
    
    IF ($size_logo < 20) {
      
      ERROR('Размер логотипа не может быть меньше 20', 'session');
      REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
    
    }
    
    IF ($size_logo > 250) {
      
      ERROR('Размер логотипа не может быть больше 250', 'session');
      REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
    
    }
    
    IF ($theme['NAME'] != $name && $theme['ACT'] == 2){
      
      ERROR('Имя для этой темы не может быть изменено', 'session');
      REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
      
    }
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
      
    }
    
    IF (STR($name) > 30){
      
      ERROR('Имя не может быть больше 30 символов', 'session');
      REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
      
    }
    
    DB::GET_SET("UPDATE `PANEL_THEMES` SET `NAME` = '".$name."', `LOGO_MAX` = '".$size_logo."' WHERE `ID` = '".$theme['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=themes&them_edit='.$theme['ID'].'');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post' id='js-form' method='post' enctype='multipart/form-data'>";
  
  HTML::INPUT('name', NULL, 'Имя:', NULL, TEXT_ABSOLUTE($theme['NAME']), 'form-control-100', 'text');
  
  ECHO "<b>".LG('Логотип').":</b><br />";  
  ECHO "<div id='logo' style='margin: 15px;'><img src='/style/version/".$theme['DIR']."/logo/".$theme['LOGO']."' style='max-width: ".$theme['LOGO_MAX']."px;'></div>";
  
  FILE::UPLOAD('/files/receiver/them_logo.php?id='.$theme['ID'].'', 'Загрузить новый логотип', 0);
  
  ECHO "<br /><br />";
  
  ECHO "<div id='logo_max'>";
  HTML::INPUT('size_logo', NULL, 'Размер логотипа:', NULL, INTVAL($theme['LOGO_MAX']), 'form-control-30', 'text');
  ECHO "</div>";
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=themes'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  
  EXIT;
  
}

/*
-------
Favicon
-------
*/

IF (GET('them_favicon')){
  
  $theme = DB::GET_STRING("SELECT * FROM `PANEL_THEMES` WHERE `ID` = '".INTVAL(GET('them_favicon'))."' LIMIT 1");
  
  IF (!ISSET($theme['ID'])){
    
    ERROR('Такой темы не существует', 'session');
    REDIRECT('?path=site&section=themes');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<b>".LG('Иконка заголовка страницы')." (favicon):</b><br />";
  ECHO "<div id='favicon' style='margin: 15px;'><img src='/style/version/".$theme['DIR']."/favicon/".$theme['FAVICON']."'></div>";
  
  FILE::UPLOAD('/files/receiver/them_favicon.php?id='.$theme['ID'].'', 'Загрузить новую иконку');
  
  ECHO "<br />* ".LG('Иконка должна быть в формате .ico')."<br />";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=themes'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  
  EXIT;
  
}

/*
------------------------
Список установленных тем
------------------------
*/

ECHO "<div class='fon'>";

ECHO "".LG('Вы можете устанавливать или удалять темы через')." <a href='?path=system&section=alpha_install'>".LG('Alpha установщик')."</a>.";

ECHO "</div>";

$count = DB::GET_COLUMN("SELECT COUNT(*) FROM `PANEL_THEMES`");

ECHO "<div class='fon2'>";

ECHO "<div class='list-title'><b>".LG('Установленные темы')." <span class='count2'>$count</span></b></div>";

IF ($count == 0){ 
  
  HTML::EMPTY();
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `PANEL_THEMES` ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  ECHO "<div class='list'>";
  
  ECHO "<table style='width: 100%;'><tr>";
  
  ECHO "<td class='td-file'>";
  ECHO "".FILE::ICONS('themes')."";
  ECHO "</td>";
  
  ECHO "<td class='td-file2'>";
  
  IF ($list['ACT'] == 0){
    
    ECHO ICONS('power-off', 15, 'fa-fw')." ";
    
  }
  
  IF ($list['ACT'] == 2){
    
    ECHO ICONS('lock', 16, 'fa-fw')." ";
    
  }
  
  ECHO "<b>".TEXT_ABSOLUTE($list['NAME'])."</b><small><br />";
  
  IF ($list['PRIORITET_TOUCH'] == 1){
    
    ECHO "<font color='#94F198'>".ICONS('check', 12, 'fa-fw')." ".LG('Тема приоритетна для Touch')."</font><br />";
    
  }
  
  IF ($list['PRIORITET_WEB'] == 1){
    
    ECHO "<font color='#94F198'>".ICONS('check', 12, 'fa-fw')." ".LG('Тема приоритетна для WEB')."</font><br />";
    
  }
 
  ECHO "<p>/style/version/".TEXT_ABSOLUTE($list['DIR'])."/</p>";
  
  ECHO "</small>";
  
  ECHO "</td>";
  
  ECHO "</tr></table>";
  
  ECHO "<a href='?path=site&section=themes&them_edit=".$list['ID']."' class='panel-button'>".ICONS('gear', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
  
  ECHO "<a href='?path=site&section=themes&them_favicon=".$list['ID']."' class='panel-button'>".ICONS('image', 15, 'fa-fw')." ".LG('Favicon')."</a> ";
  
  IF ($list['ACT'] == 1){
    
    ECHO "<a href='?path=site&section=themes&act=".$list['ID']."&get=off' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Отключить')."</a> ";
    
  }ELSEIF ($list['ACT'] == 0){
    
    ECHO "<a href='?path=site&section=themes&act=".$list['ID']."&get=on' class='panel-button'>".ICONS('plus', 15, 'fa-fw')." ".LG('Включить')."</a> ";
  
  }
  
  IF ($list['PRIORITET_TOUCH'] == 0){
    
    ECHO "<a href='?path=site&section=themes&act=".$list['ID']."&get=prioritet_touch' class='panel-button'>".ICONS('plus', 15, 'fa-fw')." ".LG('Приоритет для Touch')."</a> ";
    
  }
  
  IF ($list['PRIORITET_WEB'] == 0){
    
    ECHO "<a href='?path=site&section=themes&act=".$list['ID']."&get=prioritet_web' class='panel-button'>".ICONS('plus', 15, 'fa-fw')." ".LG('Приоритет для WEB')."</a> ";
  
  }
  
  ECHO "</div>";
  
}

ECHO "</div>";
  
?>